JZhangHZ 发表于 2019-1-22 15:37:08

关于SOLIDWORKS二次开发工程图视图切换配置(C#)

对于多配置零部件,工程图的每个视图都可以切换不同配置。

如下为切换配置录制的宏代码:
            ModelDoc2 swDoc = null;
            PartDoc swPart = null;
            DrawingDoc swDrawing = null;
            AssemblyDoc swAssembly = null;
            bool boolstatus = false;
            int longstatus = 0;
            int longwarnings = 0;
            swDoc = ((ModelDoc2)(swApp.ActiveDoc));
            swDrawing = ((DrawingDoc)(swDoc));
            boolstatus = swDrawing.ActivateView("工程图视图1");
            boolstatus = swDoc.Extension.SelectByID2("工程图视图1", "DRAWINGVIEW", 0.43856475700253272, 0.50112979632065757, 0, false, 0, null, 0);
            swDrawing = ((DrawingDoc)(swDoc));
            boolstatus = swDrawing.ChangeRefConfigurationOfFlatPatternView("F:\\TEMP\\零时生成模型\\筒体焊接组件.sldasm", "Bot_7T");

然而重复执行该段代码不能成功切换配置。
将该代码复制到自己建立的工程中执行时视图也不能成功切换配置,查看SOLIDWORKSAPI帮助ChangeRefConfigurationOfFlatPatternView()方法并无重载,且无实例。
请问有人用过该方法成功切换工程图视图配置吗?或者有没有其他方法可以实现配置切换?

hdgd501 发表于 2019-1-24 13:04:46

期待高手的出现:):):)

super 发表于 2019-1-26 19:19:38

有没有追踪调试一下?SelectByID2成功选中了吗?
页: [1]
查看完整版本: 关于SOLIDWORKS二次开发工程图视图切换配置(C#)